Page MenuHomePhabricator

Copy and paste via Control-Drag doesn't work
Closed, ResolvedPublic

Description

  1. Select text
  2. Press and hold Ctrl key
  3. Drag selected text to a different place

Expected results: Text remains in the original location and is duplicated into the new location.

Actual results: Text is cut from the original location.

Reported in Mozilla Firefox 59.0.2 on both Windows 7 and Windows 8 by User:Bjs at
https://www.mediawiki.org/wiki/Topic:Uatqrvgjh8p1std4

See also T168901: Can't drag-and-drop text to rearrange (cut and paste) in Safari and T169136: Drag and drop (cut and paste) didn't work in Chrome.

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a project: VisualEditor. · View Herald TranscriptApr 19 2018, 10:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 428073 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[VisualEditor/VisualEditor@master] ve.ce.Surface: Control-drag should keep the dragged text in original location

https://gerrit.wikimedia.org/r/428073

matmarex claimed this task.Apr 21 2018, 6:14 PM
matmarex triaged this task as Low priority.
matmarex edited projects, added VisualEditor (Current work); removed VisualEditor.

Change 428073 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] ve.ce.Surface: Control-drag should keep the dragged text in original location

https://gerrit.wikimedia.org/r/428073

Change 429832 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (099902ddb)

https://gerrit.wikimedia.org/r/429832

Change 429832 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (099902ddb)

https://gerrit.wikimedia.org/r/429832

matmarex closed this task as Resolved.May 9 2018, 10:16 PM